Subject: Re: Yeast Infections

From: [email-masked]
Date: Tue, 20 Dec 1994 21:06:21 GMT

In article <[email-masked]>, [email-masked] (Nicole Barr) writes:
>In article <[email-masked]>, [email-masked] writes:
>> 
>> IE> Ahem, it's my understanding that there is no strong evidence for a
>> IE> link between diet and yeast infections.
>
>> I must respectfully disagree.  In my experience, when I over indulge
>> in sweets, I will often experience a minor flare up of yeast.   I can
>> eat vinegars, yeasts(in bread or nutritional yeast), and complex
>> carbohydrate foods with seemingly no problem.
>> 
>> Sexual transmission is not an issue for me, but well worth considering
>> for those who are sexually active.   I avoid antibiotics....
>> (been  years since I last took any)
>> 
>> just my $.02 worth
>
>Here's my .02.  I don't think I responded to this thread before,
>but I have read it all, and am not sure.
>
>My lifestyle causes me to have yeast infections more often that
>other women.  I work outdoors doing manual labor and I sweat.  Other
>than bringing mulitple pairs of underwear, I don't have a lot of
>options.  I have gone off the pill though, I thinkg that was playing
>a part too.
>
>I take one acidophilus capsule per day (the bottle recommends 1-3)
>as a preventative and it works like a charm.  It also regulates
>your bowels, as a bonus.
>
>Peace & Light
>Nicole

I used to have a lot of problems with yeast infections.  I haven't had one 
since I started drinking cranberry juice.  I'll probably go through a gallon in 
two weeks by myself.  I have noticed that the itching abated almost immediately
for me.

Just my 0.02 cents worth,
Sandy